package com.dbnt.kcscbackend.admin.logs.service;

import com.dbnt.kcscbackend.admin.logs.entity.ThPrivacyLog;
import com.dbnt.kcscbackend.admin.logs.repository.PrivacyLogsRepository;
import lombok.RequiredArgsConstructor;
import org.egovframe.rte.fdl.cmmn.EgovAbstractServiceImpl;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
@RequiredArgsConstructor
public class AdminLogsService extends EgovAbstractServiceImpl {

    private final PrivacyLogsRepository privacyLogsRepository;

    public Map<String, Object> selectPrivacyList() {
        Map<String, Object> resultMap = new HashMap<>();

        // 전체 레코드 수 가져오기
        long totalRecordCount = privacyLogsRepository.count();

        // 개수를 resultMap에 추가
        resultMap.put("resultCnt", String.valueOf(totalRecordCount));

        // 개인 정보 로그 리스트 가져오기
        List<ThPrivacyLog> privacyLogList = privacyLogsRepository.findAllByOrderByUplSeqDesc();

        // 결과를 resultMap에 추가
        resultMap.put("resultList", privacyLogList);

        return resultMap;
    }
}
